﻿using C1.Win.C1FlexGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WordWrapFlexGridDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            c1FlexGrid1.DataSource = dt;
            c1FlexGrid1.Styles.Normal.WordWrap = true;          
            c1FlexGrid1.AfterResizeColumn += C1FlexGrid1_AfterResizeColumn;

        }
        private void C1FlexGrid1_AfterResizeColumn(object sender, RowColEventArgs e)
        {
            c1FlexGrid1.AutoSizeRows(0, 0, c1FlexGrid1.Rows.Count - 1, c1FlexGrid1.Cols.Count - 1, 0, AutoSizeFlags.None);
        }  
    }
}
